Summary: A graphical interface for modifying the system security level
Name: redhat-config-securitylevel
Version: 1.2.9
Release: 1
URL: http://www.redhat.com/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
Obsoletes: gnome-lokkit
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Source0: %{name}-%{version}.tar.bz2
BuildRequires: desktop-file-utils newt-devel slang-devel popt
BuildRequires: gettext
Requires: pygtk2
Requires: python2
Requires: usermode >= 1.36
Requires: rhpl
Requires: redhat-config-securitylevel-tui

%description
redhat-config-securitylevel is a graphical user interface for 
setting basic firewall rules.

%package tui
Summary: A text interface for modifying the system security level
Group: System Environment/Base
Obsoletes: lokkit
Requires: iptables

%description tui
redhat-config-securitylevel-tui is a text and commandline user
interface for setting basic firewall rules.

%prep
%setup -q

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install

desktop-file-install --vendor redhat --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/redhat-config-securitylevel.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/redhat-config-securitylevel ] ; then
  rm -rf /usr/share/redhat-config-securitylevel/*.pyc
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
#%doc doc/*
/usr/bin/redhat-config-securitylevel
%dir /usr/share/redhat-config-securitylevel
/usr/share/redhat-config-securitylevel/*
%dir /usr/share/firstboot/
%dir /usr/share/firstboot/modules
/usr/share/firstboot/modules/securitylevel.py
%attr(0644,root,root) %{_datadir}/applications/redhat-config-securitylevel.desktop
%attr(0644,root,root) %config /etc/security/console.apps/redhat-config-securitylevel
%attr(0644,root,root) %config /etc/pam.d/redhat-config-securitylevel
%attr(0644,root,root) %config /etc/sysconfig/redhat-config-securitylevel

%files -f %{name}.lang tui
%defattr(-,root,root)
%doc COPYING-lokkit
/usr/sbin/lokkit
/usr/bin/redhat-config-securitylevel-tui

%changelog
* Fri Oct  3 2003 Bill Nottingham <notting@redhat.com> 1.2.9-1
- fix interactive disabling of firewall in TUI (#106243)

* Wed Sep 17 2003 Bill Nottingham <notting@redhat.com> 1.2.8-2
- rebuild

* Wed Sep 17 2003 Bill Nottingham <notting@redhat.com> 1.2.8-1
- allow ICMP in general (#104561)

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.2.7-2
- bump release number

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.2.7-1
- add Requires for rhpl

* Thu Aug 14 2003 Brent Fox <bfox@redhat.com> 1.2.6-1
- fix typo (bug #101802)

* Thu Aug 14 2003 Brent Fox <bfox@redhat.com> 1.2.5-1
- tag on every build

* Tue Aug 12 2003 Brent Fox <bfox@redhat.com> 1.2.3-2
- bump relnum and rebuild

* Tue Aug 12 2003 Brent Fox <bfox@redhat.com> 1.2.3-1
- some string changes

* Mon Aug 11 2003 Brent Fox <bfox@redhat.com> 1.2.2-2
- bump relnum and rebuild

* Mon Aug 11 2003 Brent Fox <bfox@redhat.com> 1.2.2-1
- reorder some UI elements

* Thu Aug  7 2003 Bill Nottingham <notting@redhat.com> 1.2.1-1
- fix rules (#101841)

* Tue Aug  5 2003 Bill Nottingham <notting@redhat.com> 1.2.0-2
- woops, RPM 101 (#101708)

* Mon Aug  4 2003 Bill Nottingham <notting@redhat.com> 1.2.0-1
- add patch for stateful firewalling (#87585, <dax@gurulabs.com>)
- tweak tools appropriately (katzj@redhat.com), obsolete lokkit/gnome-lokkit

* Wed Jul  2 2003 Brent Fox <bfox@redhat.com> 1.1.3-2
- bump relnum and rebuild

* Wed Jul  2 2003 Brent Fox <bfox@redhat.com> 1.1.3-1
- use rhpl translation module

* Tue May 27 2003 Brent Fox <bfox@redhat.com> 1.1.2-1
- bump rev and rebuild

* Tue Feb  4 2003 Brent Fox <bfox@redhat.com> 1.1.1-3
- fix return codes for firstboot reconfig mode
- read config file in launch mode

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 1.1.1-1
- bump and build

* Mon Jan 27 2003 Brent Fox <bfox@redhat.com> 1.1.0-4
- remove typo

* Wed Jan 22 2003 Jeremy Katz <katzj@redhat.com> 1.1.0-3
- match dhcp handling of anaconda and lokkit

* Tue Dec 10 2002 Brent Fox <bfox@redhat.com> 1.1.0-2
- fix bug 74913

* Tue Dec 10 2002 Brent Fox <bfox@redhat.com> 1.1.0-1
- save configuration in a config file in /etc/sysconfig/ so we remember settings

* Mon Nov 18 2002 Brent Fox <bfox@redhat.com>
- add a Requires for gnome-lokkit (bug #78057)

* Tue Nov 12 2002 Brent Fox <bfox@redhat.com> 1.0.1-4
- Latest translations

* Thu Oct 10 2002 Brent Fox <bfox@redhat.com> 1.0.1-3
- Mark the word Mail for translation.  Fixes bug 75592

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-1
- Convert to noarch

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.0-3
- pull in latest German translations

* Tue Aug 27 2002 Brent Fox <bfox@redhat.com> 1.0.0-2
- Rebuild for translations

* Mon Aug 26 2002 Brent Fox <bfox@redhat.com> 1.0.0-1
- connect window to destroy signal

* Tue Aug 13 2002 Brent Fox <bfox@redhat.com> 0.9.9-4
- pull translations into desktop file

* Mon Aug 12 2002 Tammy Fox <tfox@redhat.com> 0.9.9-3
- replace System with SystemSetup in desktop file categories

* Sun Aug 11 2002 Brent Fox <bfox@redhat.com> 0.9.9-2
- fix bug 71187

* Tue Aug 06 2002 Brent Fox <bfox@redhat.com>
- Mark strings for translation

* Mon Aug 05 2002 Brent Fox <bfox@redhat.com> 0.9.9-1
- convert combo widget into an OptionMenu

* Fri Aug 02 2002 Brent Fox <bfox@redhat.com> 0.9.8-1
- Make changes for new pam timestamp policy

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-3
- fix Makefiles and spec files so that translations get installed

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-2
- update spec file for public beta 2

* Wed Jul 24 2002 Tammy Fox <tfox@redhat.com> 0.9.4-3
- Fix desktop file (bug #69484)

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.9.4-2
- bump rev num and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-2
- Update changelogs and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-1
- Update changelogs and rebuild

* Mon Jul 01 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Bump rev number

* Thu Jun 27 2002 Brent Fox <bfox@redhat.com> 0.9.1-2
- Changed window title

* Wed Jun 26 2002 Brent Fox <bfox@redhat.com> 0.9.1-1
- Fixed description

* Tue Jun 25 2002 Brent Fox <bfox@redhat.com> 0.9.0-5
- Create pot file

* Mon Jun 24 2002 Brent Fox <bfox@redhat.com> 0.9.0-4
- Fix spec file

* Fri Jun 21 2002 Brent Fox <bfox@redhat.com> 0.9.0-3
- init doDebug
- reverse ok/cancel buttons

* Thu Jun 20 2002 Brent Fox <bfox@redhat.com> 0.9.0-2
- Pass doDebug into launch, not init
- Add snapsrc to Makefile

* Sun May 26 2002 Brent Fox <bfox@redhat.com> 0.1.0-7
- Add debug flag

* Tue Nov 27 2001 Brent Fox <bfox@redhat.com>
- initial coding and packaging

